# Uses of Enum
org.jboss.classfilewriter.code.StackEntryType

Packages that use StackEntryType
Package
Description
org.jboss.classfilewriter.code

## Uses of StackEntryType in org.jboss.classfilewriter.code

Methods in org.jboss.classfilewriter.code that return StackEntryType
Modifier and Type
Method
Description
`StackEntryType`
StackEntry.`getType()`
`static StackEntryType`
StackEntryType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static StackEntryType[]`
StackEntryType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.jboss.classfilewriter.code with parameters of type StackEntryType
Modifier and Type
Method
Description
`void`
CodeAttribute.`assertTypeOnStack(int position, StackEntryType type, String message)`
`void`
CodeAttribute.`assertTypeOnStack(StackEntryType type, String message)`
Constructors in org.jboss.classfilewriter.code with parameters of type StackEntryType
Modifier
Constructor
Description
``
`StackEntry(StackEntryType type, String descriptor)`
``
`StackEntry(StackEntryType type, String descriptor, int newInstructionLocation)`
``
`StackEntry(StackEntryType type, String descriptor, ConstPool pool)`